Page MenuHomeVyOS Platform

Keeping VRRP transition-script native behaviour and adding stop-script
Closed, ResolvedPublic

Description

When we restart vrrp in current implementation its transition script behaviour can confuse, because we store VRRP states.
In keepalived also exist stop state, which can help in some situation when we delete vrrp configuration or restarting it.
Below introduced diagram when keepalived run scripts


For correct working stop script we need to modify systemd unit, adding KillMode=process to [Service] section.

We also can reduce noise in log if adding global definition script user, it matter only for log output in our case.
As for operational command show vrrp, after disabling instance/group, we have got displayed old state with active time, and we need clear temporary files after displaying data, otherwise it can confused .

Details

Difficulty level
Unknown (require assessment)
Version
1.2-rolling-201912120217
Why the issue appeared?
Will be filled on close
Is it a breaking change?
Perfectly compatible

Event Timeline

Dmitry created this task.Dec 16 2019, 9:57 PM

T1350 T1820
Adding mentioned tasks which can solved

pasik added a subscriber: pasik.Feb 1 2020, 2:03 PM

@dmbaturin can you look 2 PR for implement option with ignore old transaction-script states?
https://github.com/vyos/vyos-1x/pull/255
https://github.com/vyos/vyos-replace/pull/7
Can we add this in 1.2.6?

dmbaturin closed this task as Resolved.Mar 22 2020, 10:29 PM
dmbaturin changed Is it a breaking change? from Unspecified (possibly destroys the router) to Perfectly compatible.